#include <iostream>
#include <cstdio>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    double a[n][2];
    for(int i = 0; i < n; i++)
    {
        cin >> a[i][0] >> a[i][1];
    }
    double s, p, m = 0;
    for(int i = 0; i < n; i++)
    {
        s = 0;
        p = a[i][1];
        for(int j = 0; j < n; j++)
           if(p <= a[j][1]) s += a[j][0];
        if(m < s*p) m = s*p;
    }
    cout << m << endl;
    return 0;
}